org.apache.mina.api

## Class MinaRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.api.MinaRuntimeException

All Implemented Interfaces:
  Serializable

    public class MinaRuntimeException
    extends RuntimeException

Something very wrong happened in the low level part of I/O processing.

Author:
  Apache MINA Project
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MinaRuntimeException()`
`MinaRuntimeException(String message)`
`MinaRuntimeException(String message, Throwable cause)`
`MinaRuntimeException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MinaRuntimeException

    public MinaRuntimeException()

#### MinaRuntimeException

    public MinaRuntimeException(String message,
                        Throwable cause)

#### MinaRuntimeException

    public MinaRuntimeException(String message)

#### MinaRuntimeException

    public MinaRuntimeException(Throwable cause)